> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List all ActivityLog entities



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/activitylog
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/activitylog:
    get:
      tags:
        - ActivityLog
      summary: List all ActivityLog entities
      operationId: listActivityLog
      parameters:
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            type: integer
        - description: Number of results to skip
          in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/ActivityLog'
                    type: array
                  limit:
                    nullable: true
                    type: integer
                  offset:
                    type: integer
                  total:
                    type: integer
                type: object
          description: List of ActivityLog
      security:
        - BearerAuth: []
components:
  schemas:
    ActivityLog:
      properties:
        actorName:
          type: string
        createdAt:
          format: date-time
          type: string
        eventId:
          type: string
        href:
          type: string
        id:
          type: string
        kind:
          type: string
        message:
          type: string
        orgId:
          type: string
      required:
        - id
        - orgId
        - kind
        - message
        - createdAt
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````